#!/bin/bash

# exit the script on errors
set -e

TMP_DIR=./tmp

# get the absolute path of our TMP_DIR folder
TMP_DIR=$(readlink -f -- "$TMP_DIR")

# re-create the TMP_DIR folder
rm -rfv "$TMP_DIR"
mkdir -v "$TMP_DIR"

#copy the maemo version of the debian folder into TMP_DIR
cp -rv "./maemo/debian" "$TMP_DIR/"

# add the base64 icon to the control file
cat "./data/icons/icon48.txt" >> "$TMP_DIR/debian/control"

# create into TMP_DIR the folder where copy our app
mkdir -pv "$TMP_DIR/debian/myapp-mobile/opt/"

# and copy the app
cp -rv "./myapp" "$TMP_DIR/debian/myapp-mobile/opt/myapp"

# overwrite the launcher with those for maemo
cp -fv "./maemo/myapp.sh" "$TMP_DIR/debian/myapp-mobile/opt/myapp/"

# create the folder for the .desktop file and copy it
mkdir -pv "$TMP_DIR/debian/myapp-mobile/usr/share/applications/hildon"
cp -v "./data/myapp_maemo.desktop" \
    "$TMP_DIR/debian/myapp-mobile/usr/share/applications/hildon/myapp.desktop"

# create the folder and copy our icons
mkdir -pv "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/26x26/hildon"
cp -v "./data/icons/icon26.png" \
    "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/26x26/hildon/myapp.png"

mkdir -pv "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/40x40/hildon"
cp -v "./data/icons/icon40.png" \
    "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/40x40/hildon/myapp.png"

mkdir -pv "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/scalable/hildon"
cp -v "./data/icons/icon48.svg" \
    "$TMP_DIR/debian/myapp-mobile/usr/share/icons/hicolor/scalable/hildon/myapp.svg"

cd "$TMP_DIR"

# clean eventual tempory files
find . -type f -name *.*~ -exec rm {} \;

# deb creation
fakeroot dh_link
fakeroot dh_fixperms
fakeroot dh_installdeb
# uncomment the following line if you have some compiled code and use ${shlibs:Depends} in control file
#dh_shlibdeps
fakeroot dh_gencontrol
fakeroot dh_md5sums
fakeroot dh_builddeb

echo "maemo deb created for myapp :)"